Publish Data - Admin
Description
This API allows an authorized admin to publish streaming data to a Datastream channel. Any active subscribers connected to the channel receive the published data in real time through the WebSocket connection.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/datastreams/channel/{channel_id}/stream
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Request Body
Scope
ZohoCatalyst.datastreams.channel.stream.CREATE
Response Details
On successful execution, the data payload is published to the specified Datastream channel and delivered in real time to all connected subscribers if there are any.
curl -X POST
https://api.catalyst.zoho.com/baas/v1/project/20084000000589014/datastreams/channel/20084000000662015/stream
-H “Authorization: Zoho-oauthtoken 1000.f53426c0cee59aaa57f1f158f5f271ca.ba782e5510151a126a08232e7958b24d”
-H “CATALYST-ORG: 89773766”
-H “Environment: Development”
-H “Content-Type: application/json”
-d ‘{
“data”: {
“name”: “data streams”
}
}’
Yes
No
Send your feedback to us